* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {

    background: #000;
    font-family: tahoma;
    color: white;
    overflow-x: hidden;

}

#scene-container {

    position: fixed;
    inset: 0;
    z-index: -3;

}

.glow {

    position: fixed;

    width: 700px;
    height: 700px;

    background:
        radial-gradient(circle,
            rgba(0, 255, 255, .15),
            transparent 70%);

    left: 50%;
    top: 50%;

    transform:
        translate(-50%, -50%);

    z-index: -2;

    animation: pulse 6s infinite;

}

@keyframes pulse {

    50% {

        transform:
            translate(-50%, -50%) scale(1.2);

    }

}

.hero {

    width: 90%;
    max-width: 700px;

    margin: 120px auto;

    padding: 40px;

    text-align: center;

    background:
        rgba(255, 255, 255, .08);

    backdrop-filter: blur(15px);

    border-radius: 30px;

}

.avatar {
    width: 220px;
    height: 220px;

    object-fit: cover;

    border-radius: 50%;

    border: 4px solid rgba(0, 255, 255, .6);

    box-shadow:
        0 0 30px rgba(0, 255, 255, .5);

    margin-bottom: 20px;
}

h1 {

    font-size: 3rem;

}

#typing {

    color: #00ffff;
    margin-top: 10px;

}

.btn {
    padding: 12px 22px;
    margin: 10px;
    display: inline-block;
    border-radius: 12px;
    text-decoration: none;
    color: white;
    border: 1px solid rgba(0, 255, 255, 0.6);
    transition: 0.3s;
    backdrop-filter: blur(10px);
}

.btn:hover {
    transform: scale(1.1);
    background: rgba(0, 255, 255, 0.2);
    box-shadow: 0 0 20px cyan;
}

.telegram {
    border-color: #00c3ff;
    box-shadow: 0 0 15px rgba(0, 195, 255, 0.3);
}

.channel {
    border-color: #a855f7;
    box-shadow: 0 0 15px rgba(168, 85, 247, 0.3);
}

.glass {

    width: 90%;
    max-width: 900px;

    margin: 50px auto;

    padding: 40px;

    background:
        rgba(255, 255, 255, .08);

    backdrop-filter: blur(15px);

    border-radius: 25px;

}

.skills {

    display: flex;
    gap: 15px;
    flex-wrap: wrap;

    margin-top: 20px;

}

.skills span {

    padding: 10px 20px;

    background:
        rgba(0, 255, 255, .15);

    border-radius: 20px;

}

.fade {

    opacity: 0;
    transform: translateY(50px);

    transition: 1s;

}

.show {

    opacity: 1;
    transform: translateY(0);

}